# Class MSCifParser

java.lang.Object
org.jmol.adapter.readers.cif.MSRdr
org.jmol.adapter.readers.cif.MSCifParser

All Implemented Interfaces:
  `MSInterface`

public class MSCifParser extends MSRdr

## Field Summary

### Fields inherited from class MSRdr

`commensurateSection1, cr, isCommensurate, modAverage, modAxes, modDim`

## Constructor Summary

Constructors
Constructor
Description
`MSCifParser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processEntry()`
`int`
`processLoopBlock()`
creates entries in htModulation with a key of the form: type_id_axis;atomLabel@model where type = W|F|D|O (wave vector, Fourier index, displacement, occupancy); id = 1|2|3|0|S (Fourier index, Crenel(0), sawtooth); axis (optional) = 0|x|y|z (0 indicates irrelevant -- occupancy); and ;atomLabel is only for D and O.

### Methods inherited from class MSRdr

`addLatticeVector, addModulation, addSubsystem, finalizeModulation, getAtomSymmetry, getMod, getModType, getModulationMap, getQCoefs, getSymmetryFromCode, initialize, setMinMax0, setModDim, setModulation`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MSCifParser

public MSCifParser()

## Method Details

### processEntry

public void processEntry() throws Exception

Throws:
  `Exception`

### processLoopBlock

public int processLoopBlock() throws Exception
creates entries in htModulation with a key of the form: type_id_axis;atomLabel@model where type = W|F|D|O (wave vector, Fourier index, displacement, occupancy); id = 1|2|3|0|S (Fourier index, Crenel(0), sawtooth); axis (optional) = 0|x|y|z (0 indicates irrelevant -- occupancy); and ;atomLabel is only for D and O.

Returns:
  1:handled; -1: skip; 0: unrelated
Throws:
  `Exception`